Loading...
Searching...
No Matches
casacore::MSMetaData::SpwProperties Struct Reference

## Public Attributes

double | bandwidth
QVD | chanfreqs
QVD | chanwidths
int | netsideband
Quantity | meanfreq
| The sum of all channel frequencies divided by the number of channels.
Quantity | centerfreq
| The mean of the low frequency extent of the lowest frequency channel and the high frequency extend of the highest frequency channel.
uInt | nchans
vector< double > | edgechans
| The center frequencies of the two channels at the edges of the window.
uInt | bbcno
MFrequency | reffreq
| from the REF_FREQUENCY column
String | name
QVD | effbw
| EFFECTIVE_BANDWIDTH.
QVD | resolution
| RESOLUTION.
String | corrbit
| CAS-13749 value for adhoc ALMA-specific SPECTRAL_WINDOW column.
int | rb
| CAS-13973 ALMA specific quantities sw = subwindow, rb = receiver band.
int | sw

## Detailed Description

Definition at line 719 of file MSMetaData.h.

## Member Data Documentation

## bandwidth

double casacore::MSMetaData::SpwProperties::bandwidth

Definition at line 720 of file MSMetaData.h.

## bbcno

uInt casacore::MSMetaData::SpwProperties::bbcno

Definition at line 733 of file MSMetaData.h.

## centerfreq

Quantity casacore::MSMetaData::SpwProperties::centerfreq

The mean of the low frequency extent of the lowest frequency channel and the high frequency extend of the highest frequency channel.

Often, but not necessarily, the same as meanfreq

Definition at line 729 of file MSMetaData.h.

## chanfreqs

QVD casacore::MSMetaData::SpwProperties::chanfreqs

Definition at line 721 of file MSMetaData.h.

## chanwidths

QVD casacore::MSMetaData::SpwProperties::chanwidths

Definition at line 722 of file MSMetaData.h.

## corrbit

String casacore::MSMetaData::SpwProperties::corrbit

CAS-13749 value for adhoc ALMA-specific SPECTRAL_WINDOW column.

Definition at line 742 of file MSMetaData.h.

## edgechans

vector<double> casacore::MSMetaData::SpwProperties::edgechans

The center frequencies of the two channels at the edges of the window.

Definition at line 732 of file MSMetaData.h.

## effbw

QVD casacore::MSMetaData::SpwProperties::effbw

EFFECTIVE_BANDWIDTH.

Definition at line 738 of file MSMetaData.h.

## meanfreq

Quantity casacore::MSMetaData::SpwProperties::meanfreq

The sum of all channel frequencies divided by the number of channels.

Definition at line 725 of file MSMetaData.h.

## name

String casacore::MSMetaData::SpwProperties::name

Definition at line 736 of file MSMetaData.h.

## nchans

uInt casacore::MSMetaData::SpwProperties::nchans

Definition at line 730 of file MSMetaData.h.

## netsideband

int casacore::MSMetaData::SpwProperties::netsideband

Definition at line 723 of file MSMetaData.h.

## rb

int casacore::MSMetaData::SpwProperties::rb

CAS-13973 ALMA specific quantities sw = subwindow, rb = receiver band.

Definition at line 744 of file MSMetaData.h.

## reffreq

MFrequency casacore::MSMetaData::SpwProperties::reffreq

from the REF_FREQUENCY column

Definition at line 735 of file MSMetaData.h.

## resolution

QVD casacore::MSMetaData::SpwProperties::resolution

RESOLUTION.

Definition at line 740 of file MSMetaData.h.

## sw

int casacore::MSMetaData::SpwProperties::sw

Definition at line 745 of file MSMetaData.h.

The documentation for this struct was generated from the following file:

- ms/MSOper/MSMetaData.h